低危 LibTIFF up to 4.0.6 TIFF Image Data tif_pixarlog.c vgetparent 越界写入漏洞

CVE编号

CVE-2016-5314

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-12
漏洞描述
LibTIFF 4.0.6和更早版本中的tif_pixarlog.c中的PixarLogDecode函数中的缓冲区溢出允许远程攻击者通过精心制作的TIFF映像造成拒绝服务(应用程序崩溃)或可能产生未指定的其他影响,这可以通过使用rgb2ycbcr覆盖vgetparent函数指针来演示。

解决建议
目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:
http://www.remotesensing.org/libtiff/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libtiff libtiff * Up to
(including)
4.0.6
运行在以下环境
系统 alpine_3.2 tiff * Up to
(excluding)
4.0.7-r0
运行在以下环境
系统 alpine_3.3 tiff * Up to
(excluding)
4.0.7-r0
运行在以下环境
系统 alpine_3.4 tiff * Up to
(excluding)
4.0.7-r0
运行在以下环境
系统 debian DPKG * Up to
(excluding)
4.0.6-2
运行在以下环境
系统 debian_7 tiff * Up to
(excluding)
4.0.2-6+deb7u6
运行在以下环境
系统 debian_8 tiff * Up to
(excluding)
4.0.3-12.3+deb8u10
运行在以下环境
系统 opensuse_13.2 tiff * Up to
(excluding)
4.0.6-10.26.1
运行在以下环境
系统 opensuse_Leap_42.1 tiff * Up to
(excluding)
4.0.6-6.1
运行在以下环境
系统 suse_11_SP4 tiff * Up to
(excluding)
3.8.2-141.169.6.1
运行在以下环境
系统 suse_12 libtiff5 * Up to
(excluding)
4.0.6-26
运行在以下环境
系统 suse_12_SP1 tiff * Up to
(excluding)
4.0.6-26.3
运行在以下环境
系统 ubuntu_14.04 tiff * Up to
(excluding)
4.0.3-7ubuntu0.6
运行在以下环境
系统 ubuntu_14.04.6_lts tiff * Up to
(excluding)
4.0.3-7ubuntu0.6
运行在以下环境
系统 ubuntu_16.04 tiff * Up to
(excluding)
4.0.6-1ubuntu0.1
运行在以下环境
系统 ubuntu_16.04.7_lts tiff * Up to
(excluding)
4.0.6-1ubuntu0.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况